- name: Copy Dockerfile
  ansible.builtin.template:
    src: Dockerfile.j2
    dest: "/home/{{ elixir_user }}/Dockerfile"
    owner: "{{ elixir_user }}"
    group: "{{ elixir_user }}"
    mode: '0755'

- name: Build elixir image
  community.docker.docker_image_build:
    name: elixir-validator
    tag: "{{ elixir_docker_tag }}"
    path: /home/{{ elixir_user }}
    dockerfile: Dockerfile
    rebuild: "{{ elixir_rebuild }}"
  notify:
    - Recreate elixir container
